Bank Transfer

How to use BankTransfer to submit a payin in Uruguay.

Payin by BankTransfer

POST https://gateway-test.pagsmile.com/trade/pay

This endpoint allows you to submit a payin by BankTransfer in Uruguay.

Headers

Name
Type
Description

Content-Type*

string

application/json; chartset=UTF-8

Authorization*

string

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

created app's id at dashboard

- Max. 32 chars -

out_trade_no*

string

ID given by the merchant in their system - Max. 64 chars -

method*

string

Fixed value: BankTransfer

order_amount*

string

payment amount - 1 - 5,000,000 UYU -

order_currency*

string

Fixed value: UYU

subject*

string

payment reason or item title

- Max. 128 chars -

content

string

payment reason detail or item detail

- Max. 255 chars -

notify_url*

string

Where Pagsmile will send notification to

return_url

string

Redirect to Merchant's url when user finished checkout

buyer_id

string

merchant user's id

timestamp*

string

yyyy-MM-dd HH:mm:ss - Max. 19 chars -

account_number*

string

User's bank account number

account_type*

string

User's bank account type

- One of: SAVINGS, CHECKING -

customer.identify.type*

string

User's identification type

- CI, RUT -

customer.identify.number*

string

User's identification number - CI: 8 digits

RUT: 12 digits -

customer.name*

string

User's name

customer.email*

string

User's email

customer.phone*

string

User's phone

User payment tips

  • Take the recipient's bank details from the response parameter - "instruction" and present to users

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated